summaryrefslogtreecommitdiff
path: root/tests/tail-2/wait
diff options
context:
space:
mode:
authorPádraig Brady <P@draigBrady.com>2009-09-04 21:41:30 +0100
committerPádraig Brady <P@draigBrady.com>2009-09-05 17:19:03 +0100
commit526a057602f7f312443ae4ec0653fec84bca9ff2 (patch)
tree16532c0aaac442092426ccebd166e02b5ef935d7 /tests/tail-2/wait
parent70eadcb4e6990f0d1c9186ba6fa9f8e747cf3a22 (diff)
downloadcoreutils-526a057602f7f312443ae4ec0653fec84bca9ff2.tar.xz
tests: test old tail -f method even on systems with inotify
* src/tail.c (main): Add an undocumented ---disable-inotify option to allow disabling inotify. * tests/tail-2/pid: Run test in both normal and "disable_inotify" modes. * tests/tail-2/tail-n0f: Likewise. * tests/tail-2/wait: Likewise. * tests/tail-2/append-only: Likewise.
Diffstat (limited to 'tests/tail-2/wait')
-rwxr-xr-xtests/tail-2/wait67
1 files changed, 36 insertions, 31 deletions
diff --git a/tests/tail-2/wait b/tests/tail-2/wait
index a5f189fe0..62498d5dc 100755
--- a/tests/tail-2/wait
+++ b/tests/tail-2/wait
@@ -30,43 +30,48 @@ touch k || framework_failure
fail=0
-timeout 1 tail -s0.1 -f not_here
-test $? = 124 && fail=1
-
-if test ! -r unreadable; then # can't test this when root
- timeout 1 tail -s0.1 -f unreadable
+for inotify in ---disable-inotify ''; do
+ timeout 1 tail -s0.1 -f $inotify not_here
test $? = 124 && fail=1
-fi
-timeout 1 tail -s0.1 -f here 2>tail.err
-test $? = 124 || fail=1
+ if test ! -r unreadable; then # can't test this when root
+ timeout 1 tail -s0.1 -f $inotify unreadable
+ test $? = 124 && fail=1
+ fi
-# `tail -F' must wait in any case.
+ timeout 1 tail -s0.1 -f $inotify here 2>tail.err
+ test $? = 124 || fail=1
-timeout 1 tail -s0.1 -F here 2>>tail.err
-test $? = 124 || fail=1
+ # `tail -F' must wait in any case.
-if test ! -r unreadable; then # can't test this when root
- timeout 1 tail -s0.1 -F unreadable
+ timeout 1 tail -s0.1 -F $inotify here 2>>tail.err
test $? = 124 || fail=1
-fi
-timeout 1 tail -s0.1 -F not_here
-test $? = 124 || fail=1
-
-test -s tail.err && fail=1
-
-tail -s.1 --max-unchanged-stats=2 -F k > tail.out &
-pid=$!
-sleep .5
-mv k l
-sleep .5
-touch k
-mv k l
-sleep .5
-echo NO >> l
-sleep .5
-kill $pid
-test -s tail.out && fail=1
+ if test ! -r unreadable; then # can't test this when root
+ timeout 1 tail -s0.1 -F $inotify unreadable
+ test $? = 124 || fail=1
+ fi
+
+ timeout 1 tail -s0.1 -F $inotify not_here
+ test $? = 124 || fail=1
+
+
+ test -s tail.err && fail=1
+ :>tail.err
+
+
+ tail -s.1 --max-unchanged-stats=2 -F $inotify k > tail.out &
+ pid=$!
+ sleep .5
+ mv k l
+ sleep .5
+ touch k
+ mv k l
+ sleep .5
+ echo NO >> l
+ sleep .5
+ kill $pid
+ test -s tail.out && fail=1
+done
Exit $fail